/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

guint track_get_lyric_delay(void);
void track_set_lyric_delay(guint delay);

struct stCurrentFile;

struct stCurrentFile *load_tracks(char *filename);
void clear_tracks(struct stCurrentFile *current_file);

struct stPlayHandle;

struct stPlayHandle *track_playfile(struct stSequencer *sequencer,
				    struct stCurrentFile *current_file,
				    void (*define_lyric_line) (gint line,
							       gchar *
							       left,
							       gchar *
							       right),
				    void (*change_background_image)
				    (void));
void track_clear_playfile(struct stPlayHandle *playhandle);
